xapian-omega (1.4.29-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Mark conformance with policy 4.7.2.

 -- Olly Betts <olly@survex.com>  Sun, 20 Apr 2025 08:48:54 +1200

xapian-omega (1.4.25-2) unstable; urgency=medium

  * debian/tests/control: omegatest is now omegatest.pl.

 -- Olly Betts <olly@survex.com>  Thu, 11 Apr 2024 09:18:10 +1200

xapian-omega (1.4.25-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Mark conformance with policy 4.7.0.
  * debian/changelog: Update copyright holders and years; update
    download URL to use https.

 -- Olly Betts <olly@survex.com>  Wed, 10 Apr 2024 09:53:29 +1200

xapian-omega (1.4.22-1) unstable; urgency=medium

  * debian/control.in: Mark conformance with policy 4.6.2.
  * New upstream release.

 -- Olly Betts <olly@survex.com>  Fri, 03 Feb 2023 09:56:41 +1300

xapian-omega (1.4.21-4) unstable; urgency=medium

  * debian/tests/control: Avoid literal `#` in `Test-Command:` as
    it seems the command gets truncated there.

 -- Olly Betts <olly@survex.com>  Thu, 29 Sep 2022 06:14:54 +1300

xapian-omega (1.4.21-3) unstable; urgency=medium

  * debian/tests/control: Try to fix quoting problem.
  * debian/source/lintian-overrides: Suppress bogus lintian error.

 -- Olly Betts <olly@survex.com>  Wed, 28 Sep 2022 13:57:13 +1300

xapian-omega (1.4.21-2) unstable; urgency=medium

  * debian/tests/control: Fix failures on 32-bit platforms.

 -- Olly Betts <olly@survex.com>  Tue, 27 Sep 2022 13:36:51 +1300

xapian-omega (1.4.21-1) unstable; urgency=medium

  * New upstream release.
    + debian/patches/omegatest-fix-for-32bit-time_t.patch: Drop patch
      since issue addressed in a better way upstream in this release.

 -- Olly Betts <olly@survex.com>  Fri, 23 Sep 2022 17:19:12 +1200

xapian-omega (1.4.20-3) unstable; urgency=medium

  * debian/patches/omegatest-fix-for-32bit-time_t.patch: Comment out a second
    testcase which assumes time_t is larger than 32bits.

 -- Olly Betts <olly@survex.com>  Thu, 14 Jul 2022 07:34:22 +1200

xapian-omega (1.4.20-2) unstable; urgency=medium

  * debian/patches/omegatest-fix-for-32bit-time_t.patch: Comment out testcase
    which assumes time_t is larger than 32bits.

 -- Olly Betts <olly@survex.com>  Wed, 13 Jul 2022 19:07:53 +1200

xapian-omega (1.4.20-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Remove trailing whitespace.
  * debian/rules: Fix to run the upstream testsuite (accidentally disabled by
    refactor to use dh in 1.4.18-2).
  * debian/rules: Fail if there are files installed by the upstream build
    which aren't handled by the packaging (like we did before the dh
    refactor).
  * debian/control.in: Mark conformance with policy 4.6.1.
  * debian/control.in: Update PCRE dependency to PCRE2, which is supported
    by this new upstream version.  (Closes: #999927)

 -- Olly Betts <olly@survex.com>  Fri, 08 Jul 2022 14:15:12 +1200

xapian-omega (1.4.18-2) unstable; urgency=medium

  * debian/rules: Rewrite to use dh.  Diffoscope shows the only change in the
    binary packages is some different PNG timestamps (ironically due to
    dh_strip_nondeterminism getting run by dh - in a test with this suppressed
    the binary packages were identical).
  * debian/compat,debian/control.in: Update to debhelper compat level 12.
    The only change to the binary package is that the DWARF debug information
    is now optimised.
  * debian/patches/fix-dummy-if.patch: Drop workaround patch which isn't
    required since upstream 1.4.15.

 -- Olly Betts <olly@survex.com>  Wed, 17 Feb 2021 15:14:11 +1300

xapian-omega (1.4.18-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Mark conformance with policy 4.5.1.

 -- Olly Betts <olly@survex.com>  Fri, 15 Jan 2021 15:54:20 +1300

xapian-omega (1.4.15-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Tue, 07 Apr 2020 09:20:37 +1200

xapian-omega (1.4.14-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/fix-dummy-if.patch: Workaround bug introduced in this
    version which is already fixed in upstream git.
  * debian/control.in: Mark conformance with policy 4.5.0.

 -- Olly Betts <olly@survex.com>  Sun, 09 Feb 2020 10:28:29 +1300

xapian-omega (1.4.12-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Mark conformance with policy 4.4.0.

 -- Olly Betts <olly@survex.com>  Fri, 23 Aug 2019 11:08:18 +1200

xapian-omega (1.4.11-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Sat, 02 Mar 2019 15:53:08 +1300

xapian-omega (1.4.10-2) unstable; urgency=medium

  * debian/rules: Run "make check" with "VERBOSE=1" so we get to see more
    details for test failures.
  * debian/control.in: Mark conformance with policy 4.3.0.

 -- Olly Betts <olly@survex.com>  Fri, 22 Feb 2019 18:25:00 +1300

xapian-omega (1.4.10-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Specify "Rules-Requires-Root: no"

 -- Olly Betts <olly@survex.com>  Tue, 12 Feb 2019 12:59:11 +1300

xapian-omega (1.4.9-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Sun, 04 Nov 2018 09:02:36 +1300

xapian-omega (1.4.8-1) unstable; urgency=medium

  * New upstream release
    + debian/control.in: Add libetonyek-tools and libvisio-tools to "Suggests:
      as the new upstream version can use these to index Apple iWork and
      Microsoft Visio files respectively.
  * debian/rules: xapian-core now has a shlibs file so drop hack here to add
    versioning to the libxapian dependency.  (Closes: #912054)
  * debian/control.in: Mark conformance with policy 4.2.1.

 -- Olly Betts <olly@survex.com>  Mon, 29 Oct 2018 12:51:26 +1300

xapian-omega (1.4.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Drop "Testsuite" header which apparently isn't needed.
  * debian/control.in: Mark conformance with policy 4.1.5.

 -- Olly Betts <olly@survex.com>  Fri, 20 Jul 2018 14:58:53 +1200

xapian-omega (1.4.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Update Vcs-* to point to salsa.d.o.
  * debian/control.in: Declare conformance with standards-version 4.1.4.
  * Add autopkgtest which runs upstream omegatest using installed scriptindex
    and omega CGI.

 -- Olly Betts <olly@survex.com>  Tue, 03 Jul 2018 11:46:15 +1200

xapian-omega (1.4.5-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Wed, 01 Nov 2017 14:24:19 +1300

xapian-omega (1.4.4-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control.in: Declare conformance with standards-version 4.0.0.
  * debian/watch: Update to use https links.

 -- Olly Betts <olly@survex.com>  Sat, 01 Jul 2017 19:09:38 +1200

xapian-omega (1.4.4-1) experimental; urgency=medium

  * New upstream release
    + Incorporates fix-term-based-date-ranges.patch so drop.

 -- Olly Betts <olly@survex.com>  Wed, 26 Apr 2017 11:50:06 +1200

xapian-omega (1.4.3-3) unstable; urgency=medium

  * Fix term-based range filtering, broken in 1.4.2 - new patch
    fix-term-based-date-ranges.patch (Closes: #855490)

 -- Olly Betts <olly@survex.com>  Wed, 01 Mar 2017 14:23:38 +1300

xapian-omega (1.4.3-2) unstable; urgency=medium

  * debian/control: Regenerate from debian/control.in to pick up missing
    "Suggests: libtext-vcard-perl".

 -- Olly Betts <olly@survex.com>  Wed, 25 Jan 2017 17:37:27 +1300

xapian-omega (1.4.3-1) unstable; urgency=medium

  * New upstream release
    + debian/xapian-omega.install: Install new vcard2text helper script.
    + debian/control.in: Add libtext-vcard-perl to "Suggests" for new support
      for indexing vCard files.
  * debian/copyright: Update.
  * debian/rules: Really enable bindnow and pie hardening flags (seems
    "export" in make isn't visible in $(shell ...)) and use +all so we get
    any future flags.

 -- Olly Betts <olly@survex.com>  Wed, 25 Jan 2017 15:27:24 +1300

xapian-omega (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Mon, 26 Dec 2016 21:38:46 +1300

xapian-omega (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Enable bindnow and pie hardening flags.

 -- Olly Betts <olly@survex.com>  Mon, 24 Oct 2016 14:17:34 +1300

xapian-omega (1.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Olly Betts <olly@survex.com>  Fri, 30 Sep 2016 13:44:34 +1300

xapian-omega (1.4.0-1) experimental; urgency=medium

  * New upstream release:
    + Supports wildcarded mime content-types. (Closes: #812182)
  * debian/control.in: Declare conformance with "Standards-Version: 3.9.8".
  * debian/control.in: Use https for "Homepage", "Vcs-Browser" and "Vcs-git".
  * debian/control.in: Use cgit instead of gitweb for "Vcs-Browser".
  * debian/copyright: Update with recent contributors.
  * Update to debhelper compat level 9.

 -- Olly Betts <olly@survex.com>  Fri, 05 Aug 2016 16:31:35 +1200

xapian-omega (1.2.22-1) unstable; urgency=medium

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu, 21 Jan 2016 15:36:25 +1300

xapian-omega (1.2.21-2) unstable; urgency=medium

  * Adjust regex for tweaking dependency on libxapian (thanks Simon McVittie).
    Closes: #778178

 -- Olly Betts <olly@survex.com>  Tue, 11 Aug 2015 10:13:44 +0200

xapian-omega (1.2.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Remove workaround for Ubuntu hardy.

 -- Olly Betts <olly@survex.com>  Mon, 25 May 2015 13:47:27 +1200

xapian-omega (1.2.19-1) unstable; urgency=low

  * debian/copyright: Add licence details for portability/mkdtemp.cc.
  * debian/rules: Use dh_autotools-dev_updateconfig and
    dh_autotools-dev_restoreconfig.
  * debian/control.in: Declare conformance with "Standards-Version: 3.9.6".

 -- Olly Betts <olly@survex.com>  Thu, 23 Oct 2014 18:34:57 +0000

xapian-omega (1.2.18-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for 2014.
  * debian/rules: Add dependency from configure-stamp to debian/control to
    ensure it gets regenerated when necessary.
  * debian/control.in: Update VCS details.

 -- Olly Betts <olly@survex.com>  Sun, 29 Jun 2014 16:50:23 +1200

xapian-omega (1.2.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Add pgpsigurlmangle setting to automatically verify
    detached GPG signatures on upstream release tarballs.

 -- Olly Betts <olly@survex.com>  Fri, 31 Jan 2014 11:42:29 +1300

xapian-omega (1.2.16-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Fix to only consider stable releases, and to look for
    .tar.xz which upstream now uses.
  * debian/control.in: "Standards-Version: 3.9.5" (no changes required).

 -- Olly Betts <olly@survex.com>  Fri, 06 Dec 2013 08:29:45 +1300

xapian-omega (1.2.15-2) unstable; urgency=low

  * debian/rules: Fix target dependencies so we don't run the testsuite twice.
  * debian/rules: Mark build-arch and build-indep as phony targets.

 -- Olly Betts <olly@survex.com>  Tue, 28 May 2013 11:05:46 +0000

xapian-omega (1.2.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: B-D on dpkg-dev (>= 1.16.1~).  (Closes: #705476)
  * debian/control.in: Standards-Version: 3.9.4 (no changes required).
  * debian/rules: Fix binary-arch to depend on build-arch (instead of build).
  * debian/copyright: Update.

 -- Olly Betts <olly@survex.com>  Sat, 11 May 2013 06:45:37 +0000

xapian-omega (1.2.12-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu, 28 Jun 2012 10:16:01 +0000

xapian-omega (1.2.10-1) unstable; urgency=low

  * New upstream release.
  * Enable hardened build flags. (Closes: #658024)
  * debian/control.in: Standards-Version: 3.9.3 (no changes required).
  * debian/copyright: Update copyright years.

 -- Olly Betts <olly@survex.com>  Thu, 10 May 2012 03:34:21 +0000

xapian-omega (1.2.8-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Add "-g" to CFLAGS and CXXFLAGS so that "nostrip" builds are
    more useful.

 -- Olly Betts <olly@survex.com>  Sat, 17 Dec 2011 11:12:18 +0000

xapian-omega (1.2.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Standards-Version: 3.9.2 (no changes required).
  * debian/rules: Add build-arch and build-indep targets.

 -- Olly Betts <olly@survex.com>  Fri, 12 Aug 2011 01:39:21 +0000

xapian-omega (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Add zlib1g-dev to B-D for hardy, which needs it, probably
    because of the new libmagic-dev B-D.
  * debian/xapian-omega.postinst,debian/xapian-omega.postrm: Use "set -e"
    rather than "#!/bin/sh -e" so the "-e" is used even if the script is run
    explicitly using "sh /path/to/script".

 -- Olly Betts <olly@survex.com>  Tue, 05 Apr 2011 13:12:57 +0000

xapian-omega (1.2.4-1) unstable; urgency=low

  * New upstream release.
    + debian/control: Add libmagic-dev to build deps as upstream now uses it.
    + debian/control: Suggests: libemail-outlook-message-perl and
      libhtml-parser-perl for Outlook .msg parsing, and rpm for indexing RPM
      package files.
    + debian/xapian-omega.install: Package new script outlookmsg2html.
  * debian/rules: dh_clean -k -> dh_prep (fixing lintian warning).

 -- Olly Betts <olly@survex.com>  Tue, 21 Dec 2010 07:47:15 +0000

xapian-omega (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/control.in:
    + Standards-Version: 3.9.1 (no changes required).

 -- Olly Betts <olly@survex.com>  Tue, 24 Aug 2010 08:38:35 +0000

xapian-omega (1.2.2-1) experimental; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Mon, 05 Jul 2010 13:34:00 +0000

xapian-omega (1.2.0-3) experimental; urgency=low

  * Removing the call to autoreconf means we need libxapian-dev >= 1.2.0-2.
  * Improve package long description.
  * Update to require dh7 and use dh compact level 7.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Olly Betts <olly@survex.com>  Tue, 04 May 2010 12:33:37 +0000

xapian-omega (1.2.0-2) experimental; urgency=low

  * Don't need to autoreconf now.

 -- Olly Betts <olly@survex.com>  Mon, 03 May 2010 16:01:10 +0000

xapian-omega (1.2.0-1) experimental; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu, 29 Apr 2010 07:40:41 +0000

xapian-omega (1.1.5-1) experimental; urgency=low

  * New upstream release:
    + omindex now avoids reindexing unchanged files. (Closes: #569900)
  * Drop support for unsupported Debian and Ubuntu releases, and also Ubuntu
    dapper.
  * debian/control.in: Add libpcre3-dev to Build-Depends.
  * debian/rules: Build in debian/build directory rather than build.

 -- Olly Betts <olly@survex.com>  Sat, 24 Apr 2010 10:18:28 +0000

xapian-omega (1.0.19-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu, 15 Apr 2010 08:13:39 +0000

xapian-omega (1.0.18-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    + Remove "DM-Upload-Allowed: yes" as I'm now a DD.
    + Add "Vcs-Browser:" and "Vcs-svn:".
    + Standards-Version: 3.8.4 (no changes required).
  * debian/rules: Update licence boilerplate from GPLv2+ to MIT/X.
  * Register the documentation with doc-base.

 -- Olly Betts <olly@survex.com>  Thu, 04 Feb 2010 09:21:01 +0000

xapian-omega (1.0.17-1) unstable; urgency=low

  * New upstream release.
    + Uses _SC_PHYS_PAGES instead of _SC_AVPHYS_PAGES to calculate the memory
      limit to apply to external filters.  Closes: #548987

 -- Olly Betts <olly@survex.com>  Thu, 19 Nov 2009 04:08:57 +0000

xapian-omega (1.0.16-1) unstable; urgency=low

  * New upstream release.
    + Incorporates fix for CVE-2009-2947.

 -- Olly Betts <olly@survex.com>  Sat, 12 Sep 2009 14:17:13 +0100

xapian-omega (1.0.15-2) unstable; urgency=high

  * SECURITY UPDATE:
  * Fix cross-site scripting vulnerability in reporting of exceptions
    (CVE-2009-2947).

 -- Olly Betts <olly@survex.com>  Wed, 09 Sep 2009 05:05:14 +0000

xapian-omega (1.0.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Standards-Version: 3.8.3 (no changes required).

 -- Olly Betts <olly@survex.com>  Thu, 27 Aug 2009 01:59:43 +0000

xapian-omega (1.0.14-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Put "perl" back in "Suggests:" - "perl-base" is
    "Priority: essential", but "perl" isn't and it's the latter which
    contains pod2text.
  * debian/control.in: Standards-Version: 3.8.2 (no changes required).
  * debian/control.in: Drop the "www." from the homepage URL for consistency
    with upstream use.
  * debian/rules: Update required debhelper version.

 -- Olly Betts <olly@survex.com>  Thu, 30 Jul 2009 03:05:47 +0100

xapian-omega (1.0.13-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Don't allow CODENAME to be set in the environment.
  * Relicense the Debian packaging under the MIT/X licence.

 -- Olly Betts <olly@survex.com>  Wed, 10 Jun 2009 12:15:27 +0000

xapian-omega (1.0.12-2) unstable; urgency=low

  * debian/copyright: Update for 2009.  /usr/share/common-licenses/GPL ->
    /usr/share/licenses/GPL-2 since the former is now a symlink to GPL-3
    and Xapian is GPL v2 or later.

 -- Olly Betts <olly@survex.com>  Sun,  3 May 2009 10:18:50 +0100

xapian-omega (1.0.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Standards-Version: 3.8.1 (no changes required).
  * debian/compat: Increase from 4 to 5 since 4 is now deprecated in sid and
    5 is supported by all currently supported Debian and Ubuntu releases.

 -- Olly Betts <olly@survex.com>  Fri,  1 May 2009 08:50:06 +0100

xapian-omega (1.0.10-5) unstable; urgency=low

  * debian/rules,debian/control.in: Dapper's automake is 1.4, but "automake
    (>= 1.10) | automake1.9" doesn't work in the Ubuntu dapper PPA builder -
    it has automake 1.4 installed, so goes for the first alternative, and then
    fails the version check.  We want to prefer 1.10 so swapping the order is
    no help, so generate the dependency depending on the codename.

 -- Olly Betts <olly@survex.com>  Thu, 19 Feb 2009 23:56:08 +0000

xapian-omega (1.0.10-4) unstable; urgency=low

  * debian/rules: Substitute @GHOSTSCRIPT@ when generating debian/control.

 -- Olly Betts <olly@survex.com>  Thu, 19 Feb 2009 13:39:20 +0000

xapian-omega (1.0.10-3) unstable; urgency=low

  * debian/rules: Apply workaround when running "make check" too as that links
    the test programs with libxapian.

 -- Olly Betts <olly@survex.com>  Thu, 19 Feb 2009 12:40:43 +0000

xapian-omega (1.0.10-2) unstable; urgency=low

  * debian/rules: Work around bug in link_all_deplibs patch in Debian's
    libtool 2.2.x package.
  * debian/copyright: Update (C) year for debian packaging.

 -- Olly Betts <olly@survex.com>  Fri, 20 Feb 2009 00:23:36 +1300

xapian-omega (1.0.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in,debian/rules: Suggest ghostscript instead of gs-common
    except for Debian etch and Ubuntu dapper.
  * debian/control.in: Add "DM-Upload-Allowed: yes" since I'm now a Debian
    Maintainer.

 -- Olly Betts <olly@survex.com>  Wed, 18 Feb 2009 23:32:34 +0000

xapian-omega (1.0.7-3) unstable; urgency=low

  * debian/rules: Run "make all" and "make check" as separate commands to
    avoid hitting parallel building bugs.  Related to #493390 and
    #494247.

 -- Olly Betts <olly@survex.com>  Fri,  8 Aug 2008 08:23:01 +0100

xapian-omega (1.0.7-2) unstable; urgency=low

  * debian/rules: Fix build rule to be parallel make safe.

 -- Olly Betts <olly@survex.com>  Tue, 29 Jul 2008 01:36:59 +0100

xapian-omega (1.0.7-1) unstable; urgency=low

  * New upstream release.
    + Overhaul the $highlight colour combinations since some were rather
      unreadable.  Reported by Joey Hess.  Closes: #484456
  * debian/copyright: Update for 2008 and a few other minor changes.
  * debian/control.in: Add "djvulibre-bin" to "Suggests:" as omindex can now
    make use of it to index DjVu files.
  * debian/rules: The dependency on libxapianN is now versioned.  We require a
    version >= the version of xapian-omega being packaged (which is sometimes
    slightly too conservative, but simple to implement without manual
    maintenance).
  * debian/rules: Add support for parallel=<n> in DEB_BUILD_OPTIONS, as
    recommended by policy 3.8.0.  Use $(filter ...) instead of $(find ...)
    to check for noopt in DEB_BUILD_OPTIONS to avoid false matches on
    substrings of non-standard options (e.g. snooptables).
  * debian/rules: Run the xapian-omega testsuite unless nocheck is specified
    in DEB_BUILD_OPTIONS.  Takes less than a second to run on x86-64.
  * debian/control.in: Standards-Version: 3.8.0
  * debian/watch: Add watch file.  Not useful for me as I make the upstream
    releases, but DEHS, etc find it useful.
  * debian/rules: Calculate the version starting the next release branch (so
    1.1.0 currently) and use that as the upper bound on the libxapian-dev
    build dependency).
  * debian/control.in,debian/rules: Depend on the autotools and run autoreconf
    so we're using Debian's patched libtool which avoids trying to explicitly
    link with -lz.  Specify --mandir=/usr/share/man to configure since in the
    dapper backport the newest automake available is 1.9 which defaults mandir
    to /usr/man.

 -- Olly Betts <olly@survex.com>  Mon, 28 Jul 2008 08:29:04 +0100

xapian-omega (1.0.5-1) unstable; urgency=low

  * New upstream release.
    + Fixes compilation with latest GCC 4.3 snapshot.  Closes: #455149
    + omindex now accepts '-f' as documented.  Closes: #455526.
  * debian/control.in: Standards-Version: 3.7.3 (no changes required).
  * debian/control.in: Remove "perl" from "Suggests:" as perl is
    "Priority: essential".  Policy section 3.5 says that such dependencies
    should be avoided.
  * debian/xapian-omega.prerm,debian/xapian-omega.postrm: prerm doesn't get
    the "purge" action, so replace the prerm with a postrm so templates get
    removed on purge.  Closes: #455103
  * debian/control.in: The "Homepage:" header is now official, so convert
    "Homepage:" pseudo-header.

 -- Olly Betts <olly@survex.com>  Sat, 22 Dec 2007 21:38:44 +0000

xapian-omega (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Update "Suggests:" to include catdvi (for DVI files)
    which omindex can now make use of.

 -- Olly Betts <olly@survex.com>  Thu,  1 Nov 2007 23:47:12 +0000

xapian-omega (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu,  5 Jul 2007 01:15:39 +0100

xapian-omega (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patch: Patch is included in this release, so remove.

 -- Olly Betts <olly@survex.com>  Mon, 11 Jun 2007 18:59:02 +0100

xapian-omega (1.0.0-1) unstable; urgency=low

  * New upstream release.
    + Now builds with GCC 4.3 snapshot.  Closes: #417767
  * debian/control.in: Update "Suggests:" for changes in omindex: change
    pstotext to gs-common since omindex now indexes PostScript by converting
    it to PDF first since that appears to be the only way to handle PostScript
    containing non-latin1 characters; add libwps-tools for MS Works documents.
  * debian/copyright: Update.
  * debian/rules: We don't need to pass --mandir or --infodir to configure
    as the values we explicitly set are the defaults anyway (and we don't
    have any documentation in "info" format).
  * debian/patch: Include patch from Xapian SVN to fix a small (and
    long-standing - this dates back to at least Omega 0.8.2) issue in the HTML
    parser to do with handling tags with only whitespace between them.
  * debian/rules: Install the new "templates/inc" subdirectory and its
    contents.
  * debian/xapian-omega.install: The documentation is now installed in the
    directory we want it in by default - we no longer need to move it.  Also
    the path where the omega CGI binary is installed by default has changed.

 -- Olly Betts <olly@survex.com>  Tue, 29 May 2007 01:45:53 +0100

xapian-omega (0.9.9-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu,  9 Nov 2006 01:15:39 +0000

xapian-omega (0.9.8-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Fri,  3 Nov 2006 01:51:06 +0000

xapian-omega (0.9.7-2) unstable; urgency=low

  * debian/control,debian/control.in,debian/rules: Build dependency on
    libxapian-dev should be versioned.

 -- Olly Betts <olly@survex.com>  Thu, 12 Oct 2006 14:09:54 +0100

xapian-omega (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Fix the missing "/" after "/images/xapian-omega" so that
    images load correctly in the default search template (bug reported by Jeff
    Breidenbach by email).
  * debian/control: add catdoc to "Suggests:" for csv2xls and catppt.
  * debian/copyright: Add copyright details for new md5 code.
  * debian/omega.conf.debian: Config file reading code now understands
    comments so change comments to take advantage of this.

 -- Olly Betts <olly@survex.com>  Wed, 11 Oct 2006 02:08:20 +0100

xapian-omega (0.9.6-5) unstable; urgency=low

  * debian/control: Add extra space before "Homepage:" as is recommended
    by the Debian Developer's Reference.
  * debian/omega.conf.debian: Add comments as well as is currently possible.

 -- Olly Betts <olly@survex.com>  Sun,  9 Jul 2006 01:48:54 +0100

xapian-omega (0.9.6-4) unstable; urgency=low

  * Install images so they appear in /images/xapian-omega on the webserver.
    Adjust the URLs for images in the query template to match this.
  * Install the templates such that searching works out of the box.
  * debian/copyright: Update with a thorough list of copyrights and licences.

 -- Olly Betts <olly@survex.com>  Mon, 26 Jun 2006 13:26:04 +0100

xapian-omega (0.9.6-3) unstable; urgency=low

  * debian/control: Add homepage to description.
  * debian/rules: Only add --disable-dependency-tracking to the flags passed
    to configure once!

 -- Olly Betts <olly@survex.com>  Thu, 15 Jun 2006 04:11:07 +0100

xapian-omega (0.9.6-2) unstable; urgency=low

  * dh_strip handles nostrip in DEB_BUILD_OPTIONS for us, so there's no
    need to check by hand.
  * configure with --disable-dependency-tracking which will save us some
    diskspace and a little time during the build.
  * We don't have maint or maint-clean targets, so remove them from .PHONY.

 -- Olly Betts <olly@survex.com>  Fri,  9 Jun 2006 02:32:07 +0100

xapian-omega (0.9.6-1) unstable; urgency=low

  * New upstream release.
  * "Standards-Version: 3.7.2" - no changes required.
  * Recommends: httpd-cgi rather than httpd.

 -- Olly Betts <olly@survex.com>  Mon, 15 May 2006 21:20:53 +0100

xapian-omega (0.9.5-2) unstable; urgency=low

  * Really package the man pages.
  * debian/control: Need to list the non-virtual alternative first.
  * Use debian/compat instead of setting DH_COMPAT.
  * dh_install with --fail-missing intead of just --list-missing.
  * Include mbox2omega and mbox2omega.script in the examples directory.

 -- Olly Betts <olly@survex.com>  Sun,  9 Apr 2006 23:59:58 +0100

xapian-omega (0.9.5-1) unstable; urgency=low

  * New upstream release.
    + All installed binaries now have man pages.
  * "Standards-Version: 3.6.2" - no changes required.
  * debian/copyright: Update FSF address and give download URL for releases
    instead of obsolete CVS location.
  * debian/control: Provide non-virtual alternative to httpd in "Recommends:"
    which fixes a Lintian warning.
  * debian/TODO: Updated.
  * New maintainer.

 -- Olly Betts <olly@survex.com>  Sun,  9 Apr 2006 00:42:22 +0100

xapian-omega (0.9.4-2) unstable; urgency=low

  * Fix invalid date line in previous entry.

 -- Richard Boulton <richard@tartarus.org>  Fri,  3 Mar 2006 02:33:36 +0000

xapian-omega (0.9.4-1) unstable; urgency=low

  * New upstream release (no package was made for 0.9.3)
  * Documentation improvements.
  * omindex: new option --preserve-nonduplicates
  * omindex,scriptindex: new option --stemmer to choose stemmer.
  * omindex: Add support for OpenDocument formats.
  * scriptindex: -q no longer does anything.
  * omega: Nicer error reports.
  * omega: Add reverse sorting on values.
  * omega: new command $find{}
  * omega: new command $lookup{}
  * omega: new function to avoid storing fieldnames in every document.
  * omega: new command $split{}
  * omega: fixes to $url{}
  * omega: speed up $highlight{}
  * omega: reduce memory usage with lots of relevant documents.
  * templates: query - make page title shorter.
  * templates: opensearch - add missing escaping.
  * templates: godmode - cope with non-existent docids better.
  * omega: portability fixes.

 -- Richard Boulton <richard@tartarus.org>  Fri,  3 Mar 2006 02:33:36 +0000

xapian-omega (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Changed $highlight to default to colouring each word differently.
  * Add ability to set boolean prefixes for query parser from OmegaScript.
  * Added $length{} and $stoplist{} commands to OmegaScript.
  * scriptindex: Fix infinite loop if there's no newline at the end of a
    dumpfile.
  * documentation updates.

 -- Richard Boulton <richard@tartarus.org>  Fri, 15 Jul 2005 13:12:52 +0100

xapian-omega (0.9.1-2) unstable; urgency=low

  * Add termprefixes.txt to package.
  * Install /etc/omega.conf.

 -- Richard Boulton <richard@tartarus.org>  Wed, 15 Jun 2005 12:36:51 +0100

xapian-omega (0.9.1-1) unstable; urgency=low

  * New upstream releases (no package was generated for release 0.9.0)
  * omega: Configuration file is searched for differently - no searches
    location specified by an environment variable, then in working
    directory, then in default system location. See overview.txt
    for details.
  * Changes to indexing methods - recommend rebuild of databases.
    See NEWS for details.

 -- Richard Boulton <richard@tartarus.org>  Wed, 15 Jun 2005 09:14:41 +0100

xapian-omega (0.8.5-1) unstable; urgency=low

  * New upstream release.
  * omega: Avoid causing "500 Internal Server Error" when exceptions are
    thrown.
  * scriptindex: Fix when calling "unhtml" on text containing "</body>"
  * omindex/scriptindex: Fix indexing of <h1> - <h6> to leave a space in the
    dumped HTML.
  * omindex: Only delete removed documents in "replace duplicates" mode.
  * omindex: Change crawler so that it doesn't follow symbolic links, unless
    "--follow" is specified.

 -- Richard Boulton <richard@tartarus.org>  Wed,  5 Jan 2005 11:55:46 +0000

xapian-omega (0.8.4-3) unstable; urgency=low

  * Move dbi2omega to /usr/share/doc/xapian-omega/examples/, and remove
    "Suggests: libdbi-perl" from xapian-omega package.  Rationale: dbi2omega
    isn't very useful out of the box - it usually needs to be customised
    for a particular database.
  * Add htdig2omega and htdig2omega.script to
    /usr/share/doc/xapian-omega/examples/

 -- Richard Boulton <richard@tartarus.org>  Wed, 15 Dec 2004 15:45:56 +0000

xapian-omega (0.8.4-2) unstable; urgency=low

  * Suggest libwpd7, which is actually present in testing and unstable,
    rather than libwpd, which isn't.

 -- Richard Boulton <richard@tartarus.org>  Fri, 10 Dec 2004 17:48:58 +0000

xapian-omega (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Improved indexing of HTML, add support for OpenOffice, MS Word,
    Wordperfect, and RTF. (If appropriate helper packages are installed.)
  * Add helper packages (unzip, antiword, libwpd, unrtf) to Suggests field.
  * Safer passing of filenames to helper packages.
  * Tweaks for boolean only queries.
  * Update for changed Xapian API.

 -- Richard Boulton <richard@tartarus.org>  Thu,  9 Dec 2004 17:44:00 +0000

xapian-omega (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * scriptindex: --version now actually reports the version.  --help now
    exits with status 0 rather than status 1.

 -- Richard Boulton <richard@tartarus.org>  Tue, 21 Sep 2004 13:33:53 +0100

xapian-omega (0.8.2-2) unstable; urgency=low

  * Build against libxapian3. (See changelog for libxapian for explanation)

 -- Richard Boulton <richard@tartarus.org>  Tue, 14 Sep 2004 17:04:26 +0100

xapian-omega (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Fixes for accented characters, uses new API features in libxapian4.
  * omindex can detect documents removed since the last indexing run and
    delete them from the database.
  * Now links with libxapian4.

 -- Richard Boulton <richard@tartarus.org>  Tue, 14 Sep 2004 13:28:03 +0100

xapian-omega (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Richard Boulton <richard@tartarus.org>  Wed, 30 Jun 2004 20:25:13 +0100

xapian-omega (0.8.0-3) unstable; urgency=low

  * Merge xapian-omega and xapian-scriptindex packages, to reduce complexity
    of maintainance, and also because there is a slight possibility of them
    being merged in future.  (It is tidier not to have to merge packages
    after we've officially released them).

 -- Richard Boulton <richard@tartarus.org>  Tue, 29 Jun 2004 16:38:07 +0100

xapian-omega (0.8.0-2) unstable; urgency=low

  * Make xapian-omega package recommend httpd.

 -- Richard Boulton <richard@tartarus.org>  Tue, 29 Jun 2004 14:42:55 +0100

xapian-omega (0.8.0-1) unstable; urgency=low

  * Initial packaging.

 -- Richard Boulton <richard@tartarus.org>  Wed, 19 May 2004 14:02:04 +0100
